wibble::IteratorProxy< T > Struct Template Reference

`#include <iterator.h>`

Collaboration diagram for wibble::IteratorProxy< T >:
[legend]

## Public Member Functions

| IteratorProxy (T _x)
const T * | operator-> () const

## Public Attributes

T | x

## Constructor & Destructor Documentation

## IteratorProxy()

template<typename T >

wibble::IteratorProxy< T >::IteratorProxy | ( | T | _x | ) |

inline

## Member Function Documentation

## operator->()

template<typename T >

const T* wibble::IteratorProxy< T >::operator-> | ( |  | ) | const

inline

References wibble::IteratorProxy< T >::x.

## Member Data Documentation

## x

template<typename T >

T wibble::IteratorProxy< T >::x

Referenced by wibble::IteratorProxy< T >::operator->().

The documentation for this struct was generated from the following file:

- iterator.h